import os
import subprocess
import tempfile

from jinja2 import Environment, FileSystemLoader


def test_sudoers_templates():
    template_dir = os.path.join("templates/sudoers")
    for template in os.listdir(template_dir):
        environment = Environment(loader=FileSystemLoader(template_dir))
        template = environment.get_template(template)
        with tempfile.NamedTemporaryFile(mode="w") as tmp:
            tmp.write(template.render(telegraf_user="test-user"))
            tmp.flush()
            # check the templates with visudo check-only mode
            subprocess.check_call(["visudo", "-csf", tmp.name])
